Bug 92437 - Konqueror needs dynamic /usr/lib/mozilla-*/plugins/ scan
Summary: Konqueror needs dynamic /usr/lib/mozilla-*/plugins/ scan
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-06 06:43 UTC by Warren Togami
Modified: 2007-04-18 16:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-23 15:24:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2003-06-06 06:43:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
Each RH release Konqueror has a hard coded /usr/lib/mozilla-%{version}/plugins
directory.  While the user can always manually edit the directory from the
Konqueror preferences menu, it is rather inconvenient that Konqueror would lose
its ability to use Mozilla's plugins whenever mozilla is upgraded.

Users may upgrade mozilla themselves between releases, and also the
Konqueror pref would remain between distro upgrades leaving their user
profile "broken" for browser plugins even if the KDE is again patched to
use the new default mozilla directory.

Perhaps the only "clean" solution would be to modify Konq to scan
/usr/mozilla-*/plugins/ directories for browser plugins?

Version-Release number of selected component (if applicable):
kdebase-3.1.2-3

Comment 1 Warren Togami 2003-06-06 07:12:09 UTC
http://bugs.kde.org/show_bug.cgi?id=59421
Upstream report


Comment 2 Warren Togami 2003-06-08 09:47:55 UTC
Upstream doesn't seem to happy about this request.  Perhaps a standard symlink
to /usr/lib/mozilla-%{version}/plugins should be added to Rawhide Mozilla
package?  Then other people who re-package Mozilla for Red Hat can adopt that
symlink standard, and Konqueror wont need to manually follow the mozilla
directory for each version.


Comment 3 Warren Togami 2003-06-08 09:51:09 UTC
(CC Blizzard to ask about the possible symlink in Mozilla RPM solution that
upstream KDE suggests.  I agree this would be the cleanest way to solve this
problem, however I've seen some browser plugins in the past crash when used from
a symlinked directory in this fashion...)

Comment 4 Ngo Than 2003-06-10 19:36:56 UTC
mozilla should have a standard symlink to /usr/lib/mozilla-%{version}/plugins.

Comment 5 Christopher Blizzard 2003-06-23 15:23:39 UTC
Just use /usr/lib/mozilla/plugins for all plugins instead of using the one in a
specific version.


Note You need to log in before you can comment on or make changes to this bug.